# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_Variable Class Reference

This class is the root class for describing
variables. A variable is useful to specify the
signature of a method in terms of arguments and if
necessary variables and/or constants needed inside
a function. This set of information defines a
scope for these variables. This class is directly
used by the MethodDefinition class. From this
class is derived the instances of variables which
are used by the classes under the MethodInstance
class. A variable is composed by :
* an identifier for giving it a name,
* a type of expected value,
* possibly a default value,
* a mode which explains if the variable is :
- an input and/or output argument to the method,
- an internal or constant variable used in the
body of the method.
.

`#include <Dynamic_Variable.hxx>`

Inheritance diagram for Dynamic_Variable:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_Variable ()
| Creates and returns an empty instance of this class. .
Standard_EXPORT void | Parameter (const Handle(Dynamic_Parameter)&aparameter)
| Sets the parameter <aparameter> in <me>. This parameter gives the name, the type of value, and if necessary the default value of the variable. .
Standard_EXPORT Handle_Dynamic_Parameter | Parameter () const
| Returns the parameter stored in <me>. .
Standard_EXPORT void | Mode (const Dynamic_ModeEnum amode)
| Sets the mode to the variable. the mode is to take in the enumeration IN, OUT, INOUT, INTERNAL, CONSTANT, which describes the type of the variable. .
Standard_EXPORT Dynamic_ModeEnum | Mode () const
| Returns the mode of the variable. .
Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dynamic_Parameter | theparameter
Dynamic_ModeEnum | themode

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_Variable::Dynamic_Variable | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Dynamic_Variable::Dump | ( | Standard_OStream & | astream | ) | const

Standard_EXPORT const Dynamic_Variable::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared. Reimplemented in Dynamic_AbstractVariableInstance, Dynamic_CompositVariableInstance, Dynamic_VariableGroup, and Dynamic_VariableInstance.

Standard_EXPORT Dynamic_ModeEnum Dynamic_Variable::Mode | ( |  | ) | const

Standard_EXPORT void Dynamic_Variable::Mode | ( | const Dynamic_ModeEnum | amode | ) |

Standard_EXPORT Handle_Dynamic_Parameter Dynamic_Variable::Parameter | ( |  | ) | const

Standard_EXPORT void Dynamic_Variable::Parameter | ( | const Handle(Dynamic_Parameter)& | aparameter | ) |

## Field Documentation

Dynamic_ModeEnum Dynamic_Variable::themode `[private]`

Handle_Dynamic_Parameter Dynamic_Variable::theparameter `[private]`

The documentation for this class was generated from the following file:

- Dynamic_Variable.hxx